#######################################################################
# $Id: Module.pm,v 1.24 2010-11-27 01:51:53 dpchrist Exp $
#######################################################################
# package:
#----------------------------------------------------------------------

package Dpchrist::Module;

use strict;
use warnings;

our $VERSION  = sprintf "%d.%03d", q$Revision: 1.24 $ =~ /(\d+)/g;

#######################################################################
# end of code:
#----------------------------------------------------------------------

1;

__END__

#######################################################################

=head1 NAME

Dpchrist::Module - utilities for Perl modules


=head1 DESCRIPTION

This documentation describes module revision $Revision: 1.24 $.


This is alpha test level software
and may change or disappear at any time.


This module contains:

1.  Override routines for ExtUtils::MakeMaker
which add optional rules and/or targets to the Makefile
generated by WriteMakefile().

2.  Test scripts I commonly use in my modules.


=head1 INSTALLATION

    perl Makefile.PL
    make
    make test
    make install

Note that when this module is installed the first time,
the command 'perl Makefile.PL' will generate a warning similar to:

    Can't locate Dpchrist/Module/MakefilePL.pm in @INC (@INC contains: /
    etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /us
    r/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10
     /usr/local/lib/site_perl .) at Makefile.PL line 23.

The warning may be safely ignored.


=head2 DEPENDENCIES

This module depends upon itself.

For the curious,
see Makefile.PL in the source distribution root directory
for the BEGIN{eval{...}} solution to this chicken-and-egg problem.


=head1 SEE ALSO

    Dpchrist::Module::MakefilePL
    scripts in t/ directory


=head1 AUTHOR

David Paul Christensen  dpchrist@holgerdanske.com


=head1 COPYRIGHT AND LICENSE

Copyright 2010 by David Paul Christensen  dpchrist@holgerdanske.com

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; version 2.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
USA.

=cut

#######################################################################
